object ScalaDemo7 {
  def main(args: Array[String]): Unit = {
    /*获取指定的元素的索引值：我们可以通过这些方法来实现：
    *   indexOf:获取指定元素在队列中第一次出现的位置
    *   lastIndexOf:获取指定元素在队列中最后一次出现的位置
    *   indexWhere:获取满足条件的元素，在集合中第一次出现的索引
    *   lastIndexWhere:获取满足条件的元素，在集合中最后一次出现的索引
    *   indexOfSlice:获取指定的子序列在集合中第一次出现的位置
    * */
    //定义一个集合
    val s1 = Seq(1,2,4,6,4,3,2)
    //获取元素2在集合中第一次出现的索引
    println(s1.indexOf(2))
    //获取元素2在集合中最后一次出现的索引
    println(s1.lastIndexOf(2))
    //获取集合中小于5的第一个偶数的索引
    println(s1.indexWhere(x=>(x%2==0)&&x<5))
    //获取索引2位置开始查找集合中，小于5的第一个偶数的索引
    println(s1.indexWhere(x=>(x%2==0)&&x<5,2))
    //获取集合中小于5的最后一个偶数的索引
    println(s1.lastIndexWhere(x=>(x%2==0)&&x<5))
    //获取子序列Seq(1,2)在集合中的第一次出现的索引
    println(s1.indexOfSlice(Seq(1,2)))
    //从索引3开始查找子序列Seq(1,2)在集合中第一次出现的索引
    println(s1.indexOfSlice(Seq(1,2),3))
  }
}
